// THIS DESIGN TOKENS EXAMPLE FILE IS ONLY TO WORK WITH STORYBOOK.

export const unlockedTokens = {
  color: {
    text: {
      description: 'Brand text colour. Should contrast both the layout background & the brand background.',
      type: 'color',
      value: '#000000ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:f1c7883d775680ccbba3cfcc33e68e071a6ba4fb,',
          exportKey: 'color',
        },
      },
    },
    primary: {
      description: 'Primary brand colour',
      type: 'color',
      value: '#000000ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:3aa38ae0eb28dfa92d7d2ffe9dd49896c01d94af,',
          exportKey: 'color',
        },
      },
    },
    layoutBackground: {
      description: 'Layout background colour. Should slightly contrast against brand background. Used for containers.',
      type: 'color',
      value: '#fbfbfbff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:20ad28d48cd4e236b8397b103c54a0624a173f9d,',
          exportKey: 'color',
        },
      },
    },
    error: {
      description: 'Action error colour. Used to connote error states and negative actions.',
      type: 'color',
      value: '#cf2121ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:4b28994765b7cbd9fc6ee9ad60a2b2443ef0854f,',
          exportKey: 'color',
        },
      },
    },
    success: {
      description: 'Action success colour. Used to connote a successful or positive action.',
      type: 'color',
      value: '#169d00ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:c1505e7c5fdabc71b33855ab9086efe66c977ea7,',
          exportKey: 'color',
        },
      },
    },
    textContrast: {
      description: 'Brand text contrast colour. Should contrast against the primary colour.',
      type: 'color',
      value: '#ffffffff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:389967ff2f614b1cdfd3ae857c2aa3a62e4eb387,',
          exportKey: 'color',
        },
      },
    },
    background: {
      description: '',
      type: 'color',
      value: '#ffffffff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:019e3a995a0d653787b3400a0a4203a401357b30,',
          exportKey: 'color',
        },
      },
    },
    layoutBorder: {
      description: 'Layout border colour. Used for containers and should contrast against both layout and brand background.',
      type: 'color',
      value: '#e7e7e7ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:290c98847634c9d4f1f9a9a53c7d0ec827906556,',
          exportKey: 'color',
        },
      },
    },
    layoutContrast: {
      description: '',
      type: 'color',
      value: '#c1c1c1ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:20c3faa49389f94874557abf1dde23d89f94ba65,',
          exportKey: 'color',
        },
      },
    },
    layoutHeavyContrast: {
      description: '',
      type: 'color',
      value: '#7b7b7bff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:c08dfc38cfaacc86faf7c5863e53e7ec072646cf,',
          exportKey: 'color',
        },
      },
    },
    link: {
      description: 'Action link colour. Used for external hyperlinks.',
      type: 'color',
      value: '#0068c8ff',
      extensions: {
        'org.lukasoppermann.figmaDesignTokens': {
          styleId: 'S:05e33de747b28c597f1f51eeca1ee3f201b98e2e,',
          exportKey: 'color',
        },
      },
    },
  },
}
